Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceOperAccount.Builder

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceOperAccount.Builder

Enclosing class:
  `VoiceOperAccount`

public static class VoiceOperAccount.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VoiceOperAccount`
  `build()`
  `VoiceOperAccount.Builder`
  `setCallType(byte callType)`
  `VoiceOperAccount.Builder`
  `setContractId(int contractId)`
  `VoiceOperAccount.Builder`
  `setDeviceId(int deviceId)`
  `VoiceOperAccount.Builder`
  `setFromPortList(List<VoiceAccountPort> fromPortList)`
  `VoiceOperAccount.Builder`
  `setNoRegexpA(String noRegexpA)`
  `VoiceOperAccount.Builder`
  `setNoRegexpB(String noRegexpB)`
  `VoiceOperAccount.Builder`
  `setRegexpA(String regexpA)`
  `VoiceOperAccount.Builder`
  `setRegexpB(String regexpB)`
  `VoiceOperAccount.Builder`
  `setRegexpFromPorts(String regexpFromPorts)`
  `VoiceOperAccount.Builder`
  `setRegexpToPorts(String regexpToPorts)`
  `VoiceOperAccount.Builder`
  `setServiceId(int serviceId)`
  `VoiceOperAccount.Builder`
  `setToPortList(List<VoiceAccountPort> toPortList)`
  `VoiceOperAccount.Builder`
  `setTypeId(int typeId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setContractId

    public VoiceOperAccount.Builder setContractId(int contractId)

  - ### setTypeId

    public VoiceOperAccount.Builder setTypeId(int typeId)

  - ### setCallType

    public VoiceOperAccount.Builder setCallType(byte callType)

  - ### setDeviceId

    public VoiceOperAccount.Builder setDeviceId(int deviceId)

  - ### setFromPortList

    public VoiceOperAccount.Builder setFromPortList(List<VoiceAccountPort> fromPortList)

  - ### setNoRegexpA

    public VoiceOperAccount.Builder setNoRegexpA(String noRegexpA)

  - ### setNoRegexpB

    public VoiceOperAccount.Builder setNoRegexpB(String noRegexpB)

  - ### setRegexpA

    public VoiceOperAccount.Builder setRegexpA(String regexpA)

  - ### setRegexpB

    public VoiceOperAccount.Builder setRegexpB(String regexpB)

  - ### setRegexpFromPorts

    public VoiceOperAccount.Builder setRegexpFromPorts(String regexpFromPorts)

  - ### setRegexpToPorts

    public VoiceOperAccount.Builder setRegexpToPorts(String regexpToPorts)

  - ### setServiceId

    public VoiceOperAccount.Builder setServiceId(int serviceId)

  - ### setToPortList

    public VoiceOperAccount.Builder setToPortList(List<VoiceAccountPort> toPortList)

  - ### build

    public VoiceOperAccount build()